%define upstream_name	 Imager
%define upstream_version 1.000

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl extension for generating 24 bit images
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Imager/%{upstream_name}-%{upstream_version}.tar.gz
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.0.0
BuildRequires: perl(Test::More) >= 0.470.0
BuildRequires: perl(XSLoader)
BuildRequires: fontconfig-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: perl-devel
BuildRequires: t1lib-devel
BuildRequires: ungif-devel

%{?perl_default_filter}

%description
Imager is a module for creating and altering images. It can read and write
various image formats, draw primitive shapes like lines,and polygons, blend
multiple images together in various ways, scale, crop, render text and more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
IM_SUPPRESS_PROMPT=1 %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc Changes GIF ICO JPEG META.yml MYMETA.yml PNG README SGI TIFF samples
%{perl_vendorarch}/Imager.pm
%{perl_vendorarch}/Imager
%{perl_vendorarch}/auto/Imager
%{_mandir}/*/*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 746852
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.0.0-3.mga5
+ Revision: 732294
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-2.mga5
+ Revision: 685128
- Mageia 5 Mass Rebuild

* Wed Jul 30 2014 sander85 <sander85> 1.0.0-1.mga5
+ Revision: 658139
- update to 1.000

* Fri Jun 27 2014 sander85 <sander85> 0.990.0-1.mga5
+ Revision: 640329
- update to 0.99

  + jquelin <jquelin>
    - perl 5.20.0 rebuild

  + pterjan <pterjan>
    - Rebuild for perl 5.20

* Sun Feb 09 2014 sander85 <sander85> 0.980.0-1.mga5
+ Revision: 587319
- update to 0.98

* Sat Oct 19 2013 umeabot <umeabot> 0.970.0-2.mga4
+ Revision: 530045
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 sander85 <sander85> 0.970.0-1.mga4
+ Revision: 454762
- update to 0.97

* Wed Jun 05 2013 fwang <fwang> 0.960.0-3.mga4
+ Revision: 437428
- update error msg of libpng 1.6
- rebuild for new libpng

* Wed May 29 2013 jquelin <jquelin> 0.960.0-2.mga4
+ Revision: 431579
- perl 5.18.0 rebuild

* Wed May 29 2013 shlomif <shlomif> 0.960.0-1.mga4
+ Revision: 431380
- New version 0.96 + Rebuild for Perl

* Sun Jan 13 2013 umeabot <umeabot> 0.940.0-2.mga3
+ Revision: 368741
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.940.0-1.mga3
+ Revision: 342237
- update to 0.94

* Wed Oct 17 2012 jquelin <jquelin> 0.930.0-1.mga3
+ Revision: 307577
- update to 0.93

* Mon Sep 17 2012 jquelin <jquelin> 0.920.0-1.mga3
+ Revision: 295244
- update to 0.92

* Tue Jun 05 2012 jquelin <jquelin> 0.910.0-1.mga3
+ Revision: 255105
- update to 0.91

* Wed May 30 2012 jquelin <jquelin> 0.880.0-2.mga3
+ Revision: 250779
- rebuild for perl 5.16

* Thu Feb 23 2012 jquelin <jquelin> 0.880.0-1.mga2
+ Revision: 213017
- update to 0.88

* Wed Jan 04 2012 jquelin <jquelin> 0.870.0-1.mga2
+ Revision: 190610
- update to 0.87

* Sun Dec 25 2011 fwang <fwang> 0.860.0-2.mga2
+ Revision: 187421
- rebuild for new lbitff

* Wed Nov 09 2011 jquelin <jquelin> 0.860.0-1.mga2
+ Revision: 165825
- update to 0.86

* Mon Sep 19 2011 fwang <fwang> 0.850.0-3.mga2
+ Revision: 145243
- rebuild for new libpng

* Mon Sep 05 2011 fwang <fwang> 0.850.0-2.mga2
+ Revision: 138652
- rebuild for updated perl build flag

* Tue Aug 30 2011 jquelin <jquelin> 0.850.0-1.mga2
+ Revision: 136634
- update to 0.85

* Tue Jun 21 2011 jquelin <jquelin> 0.840.0-1.mga2
+ Revision: 111451
- update to 0.84

* Wed Jun 15 2011 jquelin <jquelin> 0.830.0-1.mga2
+ Revision: 107006
- update to 0.83

* Sun Jun 12 2011 ahmad <ahmad> 0.820.0-2.mga2
+ Revision: 104587
- Rebuild for perl-5.14.0

* Wed Mar 16 2011 jquelin <jquelin> 0.820.0-1.mga1
+ Revision: 72350
- update to 0.82

* Tue Feb 22 2011 jquelin <jquelin> 0.810.0-1.mga1
+ Revision: 56663
- update to 0.79

* Fri Jan 21 2011 jquelin <jquelin> 0.790.0-1.mga1
+ Revision: 30599
- mageia rebuild
- imported package perl-Imager


* Sat Dec 11 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.790.0-1mdv2011.0
+ Revision: 620578
- update to new version 0.79
- update to new version 0.78

* Sun Aug 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.770.0-1mdv2011.0
+ Revision: 569943
- update to 0.77

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.750.0-2mdv2011.0
+ Revision: 555961
- rebuild for perl 5.12

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.750.0-1mdv2011.0
+ Revision: 552368
- update to 0.75

* Mon Mar 15 2010 Jérôme Quelin <jquelin@mandriva.org> 0.730.0-1mdv2010.1
+ Revision: 519958
- update to 0.73

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 0.720.0-2mdv2010.1
+ Revision: 492265
- rebuild for new libjpeg v8

* Sat Dec 12 2009 Jérôme Quelin <jquelin@mandriva.org> 0.720.0-1mdv2010.1
+ Revision: 477622
- update to 0.72

* Tue Nov 17 2009 Jérôme Quelin <jquelin@mandriva.org> 0.710.0-1mdv2010.1
+ Revision: 466751
- update to 0.71

* Tue Sep 22 2009 Jérôme Quelin <jquelin@mandriva.org> 0.700.0-1mdv2010.0
+ Revision: 447134
- update to 0.70

* Wed Sep 09 2009 Jérôme Quelin <jquelin@mandriva.org> 0.690.0-1mdv2010.0
+ Revision: 435735
- update to 0.69

* Mon Sep 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.680.0-1mdv2010.0
+ Revision: 432821
- update to 0.68

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 0.670.0-3mdv2010.0
+ Revision: 419880
- rebuild for new libjpeg v7

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.670.0-1mdv2010.0
+ Revision: 407783
- rebuild using %%perl_convert_version

* Sun Dec 14 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.67-1mdv2009.1
+ Revision: 314247
- update to new version 0.67

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.65-2mdv2009.0
+ Revision: 268534
- rebuild early 2009.0 package (before pixel changes)

* Wed May 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.65-1mdv2009.0
+ Revision: 209674
- update to new version 0.65
- update to new version 0.64

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.63-1mdv2009.0
+ Revision: 193854
- update to new version 0.63

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.62-2mdv2008.1
+ Revision: 151418
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 11 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.62-1mdv2008.1
+ Revision: 117501
- update to new version 0.62

* Tue Nov 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.61-1mdv2008.1
+ Revision: 106567
- update to new version 0.61
- update to new version 0.61

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.60-1mdv2008.0
+ Revision: 77704
- update to new version 0.60

* Tue Jul 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.59-1mdv2008.0
+ Revision: 47660
- update to new version 0.59


* Fri Feb 16 2007 Olivier Thauvin <nanardon@mandriva.org> 0.55-2mdv2007.0
+ Revision: 122009
- add buildrequires to enable format support

* Thu Jan 04 2007 Olivier Thauvin <nanardon@mandriva.org> 0.55-1mdv2007.1
+ Revision: 103938
- 0.55

* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 0.54-1mdv2007.1
+ Revision: 94360
- 0.54
- 0.53
- Import perl-Imager

* Fri Jun 02 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.51-1mdv2007.0
- New release 0.51

* Tue Apr 04 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.50-1mdk
- new version
- proper cflags
- repmbuildupdate aware
- fix directory ownership

* Wed Mar 08 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.49-1mdk
- 0.49

* Fri Feb 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.47-1mdk
- 0.47

* Tue Dec 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.46-1mdk
- 0.46

* Sat Jun 25 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.45-1mdk
- First Mandriva release

